Subject: bug#36017: 27.0.50; TLS 1.3 on macOS exhibits similar issue to #34341

From: Robert Pluim <[email-masked]>
Date: Mon, 03 Jun 2019 20:38:37 +0200

>>>>> On Mon, 03 Jun 2019 19:47:20 +0200, Robert Pluim <[email-masked]> said:

>>>>> On Mon, 03 Jun 2019 12:05:41 +0200, Robert Pluim <[email-masked]> said:
>>>>> On Mon, 3 Jun 2019 02:53:06 -0700, Aaron Jensen <[email-masked]> said:
    Robert> And that recipe works fine for me. Iʼll have to try again later today
    Robert> when I can use a different network that I have more control over.

    Robert> Actually, now that I look at it more closely, it does fail for me
    Robert> (sort of). I donʼt get a blank buffer, but I do get

    Robert> error in process filter: Staus: 

    Robert> If I retry in the same session, then I get a 401 as expected.

    Robert> Iʼll stick some debugging in gnutls.c and see what I can find.

And Iʼll note that this behaviour is not limited to macOS: I see it on
my GNU/Linux box as well.

I took a look at the packet capture as well: the remote end is tearing
down the connection, so probably Emacs is sending something thatʼs out
of spec.

Robert